/*
 * Copyright (C) 1997-2000, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */
/*
 * $Id: rm.h,v 1.5 2001/03/31 17:13:57 wes Exp $
 *
 * $Revision: 1.5 $
 * Version: $Name: OpenRM-1-4-0-FCS2 $
 * $Log: rm.h,v $
 * Revision 1.5  2001/03/31 17:13:57  wes
 * v1.4.0-alpha-2 checkin
 *
 * Revision 1.4  2000/12/03 23:21:10  wes
 * *** empty log message ***
 *
 * Revision 1.3  2000/04/20 16:35:48  wes
 * Added EOF marker.
 *
 * Revision 1.2  2000/04/20 16:30:21  wes
 * Added copyright info.
 *
 * Revision 1.1.1.1  2000/02/28 21:29:40  wes
 * OpenRM 1.2 Checkin
 *
 * Revision 1.1.1.1  2000/02/28 17:18:48  wes
 * Initial entry - pre-RM120 release, source base for OpenRM 1.2.
 *
 */

#ifndef _rm_h_
#define _rm_h_

/*
 * NOTE: one of RM_WIN or RM_X must be defined on the compile line.
 */

#ifdef RM_WIN
#include <windows.h>
#endif

#include <GL/gl.h>
#include <GL/glu.h>

#ifdef RM_X
#include <GL/glx.h>
#endif


#include <math.h>

#ifdef RM_DLL_EXPORTS
#define RM_EXPORT_API _declspec(dllexport)
#else
#define RM_EXPORT_API
#endif

#include <rm/rmdefs.h>
#include <rm/rmtypes.h>

#ifdef RM_X
#include <rm/rmx.h>
#endif

#include <rm/rmvmap.h>

#ifdef RM_WIN
#include <rm/rmw.h>
#endif

#include <rm/rmpipe.h>

#include <rm/rmpublic.h>

#include <rm/rmdeflts.h>

#endif /* _rm_h_ */
/* EOF */
