/*
 * Copyright (C) 1997-2000, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */
/*
 * $Id: rmcmpmgr.h,v 1.1 2000/12/03 23:20:11 wes Exp $
 * Version: $Name: OpenRM-1-4-0-FCS2 $
 * $Revision: 1.1 $
 * $Log: rmcmpmgr.h,v $
 * Revision 1.1  2000/12/03 23:20:11  wes
 * Initial entry.
 *
 */

#ifndef __rmcmpmgr_h_
#define __rmcmpmgr_h_

#ifdef __cplusplus
extern "C" {
#endif

/*
 * RM_COMPONENT_POOL_SIZE defines the number of objects created
 * by the component manager. Increasing this value increases the
 * number of such objects created by at rmInit time.
 */
#define RM_COMPONENT_POOL_SIZE 1024

/*
 * In a future release, the component mgr will auto-realloc when
 * the objects in the free list have been depleted. When that day
 * comes, the following #define will be used to indicate the
 * number of additional objects that will be reallocated.
 */
/* #define RM_COMPONENT_POOL_REALLOC_SIZE 1024 */ 

typedef struct RMcompList
{
    int objIndx;	/* index into object pool */
    int nextIndx;	/* index to next item in list */
    int prevIndx;	/* index to prev item in list */
    int myIndx;		/* index of this entry in metalist */
} RMcompList;

typedef struct
{
    int currentPoolSize;	/* current size of Pool (alloc & free) */
    
    int numFree;		/* number in free list */
    int numAlloc;		/* number in alloc list */
    
    RMcompList *metaListHead;	/* pointer to list */

    int startFree;		/* index to first free */
    int startAlloc;		/* index to first alloc */

    int componentSize;		/* sizeof(eachComponent) */
    void *objectPool;

    RMmutex *guard;		/* to serialize new/delete amongst
				 multiple writers */
} RMcompMgrHdr;

#ifdef __cplusplus
}
#endif

#endif /* __rmcmpmgr_h */
/* EOF */

