/*
 * Copyright (C) 1997-2000, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */
/*
 * $Id: rmdeflts.h,v 1.3 2000/04/20 17:41:46 wes Exp $
 * Version: $Name: OpenRM-1-4-0-FCS2 $
 * $Revision: 1.3 $
 * $Name: OpenRM-1-4-0-FCS2 $
 * $Log: rmdeflts.h,v $
 * Revision 1.3  2000/04/20 17:41:46  wes
 * Minor CVS tag changes.
 *
 * Revision 1.2  2000/04/20 16:30:23  wes
 * Added copyright info.
 *
 * Revision 1.1.1.1  2000/02/28 21:29:40  wes
 * OpenRM 1.2 Checkin
 *
 * Revision 1.1.1.1  2000/02/28 17:18:48  wes
 * Initial entry - pre-RM120 release, source base for OpenRM 1.2.
 *
 */

#ifndef _rmdeflts_h
#define _rmdeflts_h

#include "rmdefs.h"

/* defaults for postscript printing - 8.5 x 11, portrait orientation, 1/2 inch min margin */
#define RM_PS_DEFAULT_PAGE_WIDTH_POINTS       	612
#define RM_PS_DEFAULT_PAGE_HEIGHT_POINTS      	792
#define RM_PS_DEFAULT_ORIENTATION             	RM_PS_PORTRAIT
#define RM_PS_DEFAULT_MIN_MARGIN              	36

#define RM_DEFAULT_RENDERMODE			RM_SHADER_SMOOTH

#define RM_DEFAULT_VIEWPORT_XMIN 		0.0
#define RM_DEFAULT_VIEWPORT_YMIN 		0.0
#define RM_DEFAULT_VIEWPORT_XMAX 		1.0
#define RM_DEFAULT_VIEWPORT_YMAX 		1.0

#endif /* _rmdeflts_h */
/* EOF */
