/*
 * Copyright (C) 1997-2000, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   Wes Bethel, R3vis Corporation, Marin County, California
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */
/*
 * $Id: rmw.h,v 1.6 2001/03/31 17:13:59 wes Exp $
 * Version: $Name: OpenRM-1-4-0-FCS2 $
 * $Revision: 1.6 $
 * $Log: rmw.h,v $
 * Revision 1.6  2001/03/31 17:13:59  wes
 * v1.4.0-alpha-2 checkin
 *
 * Revision 1.5  2000/12/03 23:20:22  wes
 * Thread-safety mods.
 *
 * Revision 1.4  2000/05/14 23:36:12  wes
 * Added attrib to RMpipe to allow control over how the OpenGL
 * matrix stack is initialized during rendering.
 *
 * Revision 1.3  2000/04/20 17:41:46  wes
 * Minor CVS tag changes.
 *
 * Revision 1.2  2000/04/20 16:30:24  wes
 * Added copyright info.
 *
 * Revision 1.1.1.1  2000/02/28 21:29:40  wes
 * OpenRM 1.2 Checkin
 *
 * Revision 1.1.1.1  2000/02/28 17:18:48  wes
 * Initial entry - pre-RM120 release, source base for OpenRM 1.2.
 *
 */

#ifndef _rmw_h
#define _rmw_h

/* mouse buttons */
#define RM_NUM_BUTTONS	3
#define RM_BUTTON1	0x1
#define RM_BUTTON2	0x2
#define RM_BUTTON3	0x3

#ifdef __cplusplus
extern "C" {
#endif

#if 0
    /* moved to rmtypes.h */
typedef struct RMpipe
{
    RMenum channel_format;
    int    xwindow_width, xwindow_height;
    int    xflags;
    RMenum opaque3DEnable, transparent3DEnable, opaque2DEnable;
    RMenum initMatrixStack;	/* RM_TRUE or RM_FALSE */
    
    /* render function */
    void (*channel_render_func)(RMnode *t, struct RMpipe *p); 

    /*
     * optional app callback invoked after rendering, but before
     * the "swapbuffers" call. can be used to perform synchronization
     * between multiple rendering engines.
     */
    void (*postRenderBarrierFunc)(struct RMpipe *p);
    
    /* color and depth buffer acquisition */
    void (*postrenderfunc)(RMimage *, int rm_buff_enum);
    void (*postrender_depthbufferfunc)(RMimage *, int rm_buff_enum);
    
    void (*swapbuffunc)(struct RMpipe *);

    HDC    hdc;
    HWND   hwnd;
    HGLRC  hRC;

    /* the context cache */
    RMcontextCache *cache;
} RMpipe;
#endif

/* rmw.c: Win32 windows, OGL, text [4] */
RM_EXPORT_API  void  rmPipeSetWindow (RMpipe *p, HWND hWnd, int width, int height);
RM_EXPORT_API  HWND  rmPipeGetWindow (RMpipe *p);
RM_EXPORT_API  HGLRC rmwSetupOpenGL (HWND hWnd);
RM_EXPORT_API  void  rmwText  OGLPRIMPARMLIST() ;

#ifdef __cplusplus
}
#endif

#endif /* _rmw_h */
/* EOF */
