/*
 * Copyright (C) 2001, R3vis Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA, or visit http://www.gnu.org/copyleft/lgpl.html.
 *
 * Original Contributor:
 *   JDB
 * Additional Contributor(s):
 *
 * The OpenRM project is located at http://openrm.sourceforge.net/.
 */
/*
 * $Id: rmppm.h,v 1.1 2001/06/03 20:54:19 wes Exp $
 * Version: $Name: OpenRM-1-4-0-FCS2 $
 * $Revision: 1.1 $
 * $Name: OpenRM-1-4-0-FCS2 $
 * $Log: rmppm.h,v $
 * Revision 1.1  2001/06/03 20:54:19  wes
 * Initial entry.
 *
 */

/* PBM/PGM/PPM magic numbers */
#define RMI_PPM_P2      2    /* PGM ASCII  */
#define RMI_PPM_P3      3    /* PPM ASCII  */
#define RMI_PPM_P5      5    /* PGM binary */
#define RMI_PPM_P6      6    /* PPM binary */

/* ASCII or "rawbits" file type */
#define RMI_PPM_ASCII   0    /* ASCII file  */
#define RMI_PPM_BINARY  1    /* binary file */

#ifdef __cplusplus
extern "C" {
#endif
    
/* rmppm.c: PGM/PPM input/output [2] */
RM_EXPORT_API  RMimage * rmiReadPPM (const char * filename, RMenum format, unsigned char alpha);
RM_EXPORT_API  RMenum    rmiWritePPM (const char * filename, int type, const RMimage * image);

#ifdef __cplusplus
}
#endif
